## nvidia-open-gpu-kernel-modules 520.56.06

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (520.56.06-1) unstable; urgency=medium

  * New upstream release 520.56.06.
  * Make the package build reproducibly.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Feb 2023 17:25:38 +0100

nvidia-open-gpu-kernel-modules (515.76-1) experimental; urgency=medium

  * New upstream release 515.76.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 Jan 2023 02:31:53 +0100

nvidia-open-gpu-kernel-modules (515.65.01-1) experimental; urgency=medium

  * New upstream release 515.65.01.
  * New upstream release 515.57.
  * Add versioned Provides: nvidia-open-kernel-dkms-any.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Jan 2023 00:53:04 +0100

nvidia-open-gpu-kernel-modules (515.48.07-1) experimental; urgency=medium

  * New upstream release 515.48.07.
  * Refresh patches.
  * Add salsa-ci.yml.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 19 Jan 2023 18:19:49 +0100

nvidia-open-gpu-kernel-modules (515.43.04-2) experimental; urgency=medium

  * Backport drm_connector_has_override_edid changes from 525.78.01 to fix
    kernel module build for Linux 6.2.
  * Disable stackprotector.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Jan 2023 14:15:32 +0100

nvidia-open-gpu-kernel-modules (515.43.04-1) experimental; urgency=medium

  * Initial release.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Dec 2022 00:09:12 +0100

=== debian/rules ===
#!/usr/bin/make -f

# For reproducible builds.
export DATE	 = date --utc --date="@$(SOURCE_DATE_EPOCH)"
export WHOAMI	 = echo buildd
export HOSTNAME	 = debian

# The generated object files are linked into kernel modules.
export DEB_BUILD_MAINT_OPTIONS = hardening=-stackprotector

include /usr/share/dpkg/pkg-info.mk

include debian/rules.defs
NVIDIA_TESLA		?=
LINUX_KMOD_VARIANT	?=
LINUX_KMOD_TESTED	?=
ARCH_LIST		?= amd64

NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
version			 = $(NVIDIA_RELEASE)
version_major		 = $(firstword $(subst ., ,$(version)))
ifeq (yes,$(NVIDIA_TESLA))
variant			 = $(if $(NVIDIA_TESLA),tesla)
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla version))
else
variant			 = $(if $(NVIDIA_TESLA),tesla-$(NVIDIA_TESLA))
variant_description	 = $(if $(NVIDIA_TESLA), (Tesla $(NVIDIA_TESLA) version))
endif
-variant		 = $(if $(variant),-$(variant))
nvidia			 = nvidia$(-variant)
current			 = $(if $(variant),$(variant),current)
module-current		 = $(current)$(LINUX_KMOD_VARIANT)
module			 = nvidia-$(module-current)
nvidia-kernel		 = $(nvidia)$(LINUX_KMOD_VARIANT)-kernel
debhelper_compat	:= $(shell sed -rn 's/.*debhelper-compat \(= ([0-9]+)\).*/\1/p' debian/control)

CONTROL_PREFIXES	 = nvidia-kernel
RENAME_nvidia-kernel	 = $(nvidia-kernel)
renamed_prefix		 = $(or $(RENAME_$1),$(subst nvidia,$(if $(filter %nvidia0 %nvidia1 %nvidia2,$1),$(nvidia-),$(nvidia)),$1))
CONTROL_PREFIXES_RENAMED = $(foreach p,$(CONTROL_PREFIXES),$(call renamed_prefix,$p))

# $1=file, $2=prefix
applyprefixrename	 = $(patsubst debian/$2%,debian/$(call renamed_prefix,$2)%,$1)
# $1=file, $2=prefixlist
applyprefixrenamelist	 = $(if $2,$(call applyprefixrenamelist,$(call applyprefixrename,$1,$(firstword $2)),$(wordlist 2,$(words $2),$2)),$1)

ALL_CONTROL	:= $(wildcard $(patsubst %,debian/%*,$(CONTROL_PREFIXES)))
LEGACY_CONTROL	:= $(wildcard $(patsubst %,debian/%*,$(CONTROL_PREFIXES_RENAMED)))
RENAME_CONTROL	 = $(filter-out $(LEGACY_CONTROL),$(ALL_CONTROL))
RENAMED_CONTROL	 = $(foreach f,$(RENAME_CONTROL),$(call applyprefixrenamelist,$f,$(CONTROL_PREFIXES)))

TEMPLATE_DIRS	 = debian
TEMPLATE_DIRS	+= debian/module/debian
TEMPLATE_DIRS	+= debian/patches/module
TEMPLATE_DIRS	+= debian/tests
TEMPLATES	:= $(wildcard $(addsuffix /*.in,$(TEMPLATE_DIRS)))

AUTOGEN		 = $(TEMPLATES:.in=)
AUTOGEN		+= $(RENAMED_CONTROL:.in=)
AUTOGEN		+= debian/module/debian/bug-control
AUTOGEN		+= debian/module/debian/control.modules.in
AUTOGEN		+= debian/bug-control
AUTOGEN		+= debian/substvars
AUTOGEN		+= $(AUTOKEEP)
AUTOKEEP	 =
AUTOKEEP	+= debian/tests/autopkgtest-pkg-dkms.conf
AUTOKEEP	+= debian/tests/control


.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install
binary binary-arch binary-indep build build-arch build-indep clean install:
	dh $@

prepare: $(AUTOGEN)
	cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null push -a || test $$? = 2

override_dh_auto_build: prepare
	dh_auto_build -- kernel-open/nvidia/nv-kernel.o_binary kernel-open/nvidia-modeset/nv-modeset-kernel.o_binary NV_VERBOSE=1
	find kernel-open -name '*.o_binary' -type l -exec sh -c 'ln -fv "$$(readlink -f "{}")" "{}"' \;

kernel-source-tree: prepare
	$(RM) -r $@
	cp -a kernel-open $@

override_dh_auto_test: J_FLAG ?= $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test: TEST_KERNEL ?= $(shell ls -dvr1 /lib/modules/*/build 2>/dev/null | cut -d/ -f4 | head -n 1)
override_dh_auto_test:
	cp -al kernel-open kmod-test
	$(MAKE) $(J_FLAG) -C kmod-test NV_VERBOSE=1 KERNEL_UNAME=$(TEST_KERNEL)

# nothing to do
override_dh_auto_install:

override_dh_auto_clean:
	$(MAKE) nvidia.clean nvidia-modeset.clean
	find kernel-open -name '*.o_binary' | xargs -r $(RM) -v
	$(RM) -r kmod-test

execute_after_dh_clean:
	cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null pop -a || test $$? = 2
	$(RM) -r kernel-open/.pc/
	$(RM) $(filter-out $(AUTOKEEP),$(AUTOGEN))
	$(if $(AUTOKEEP),$(MAKE) -f debian/rules $(AUTOKEEP))

execute_after_dh_install: pack-module-source

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_gencontrol:
	dh_gencontrol -- \
		-V'nvidia:Version=$(version)' \
		-V'nvidia:Version:major=$(version_major)' \
		-V'nvidia=$(nvidia)' \
		-V'nvidia-kernel=$(nvidia-kernel)' \
		-V'nvidia:Variant=$(variant)' \
		-V'nvidia:VariantDesc=$(variant_description)' \
		-V'nvidia:debhelper-compat=$(debhelper_compat)' \
		-V'nvidia:kmod:tested:Linux=$(strip $(or $(LINUX_KMOD_TESTED_$(DEB_HOST_ARCH)),$(LINUX_KMOD_TESTED),???))' \
		-Vnvidia:Models="`cat debian/control.models`"

# used by dpkg-genchanges
debian/substvars:
	echo 'nvidia:VariantDesc=$(variant_description)' > $@
	echo 'nvidia:VariantDescShort=$(variant_description_short)' >> $@

module_source_pkg	 = debian/$(nvidia-kernel)-source
module_source_txz	 = $(module_source_pkg)/usr/src/$(nvidia-kernel).tar.xz
pack-module-source:
	find $(module_source_pkg) \( -name '*.binary' -o -name '*.in' -not -name '*.modules.in' \) -print -delete
	tar c \
		-C $(module_source_pkg)/usr/src \
		--owner=root --group=root \
		--mode=a=rX,u+w \
		--sort=name \
		--mtime='@$(SOURCE_DATE_EPOCH)' \
		--clamp-mtime \
		modules | xz -9 > $(module_source_txz)
	tar tfv $(module_source_txz)
	$(RM) -r $(module_source_pkg)/usr/src/modules

############################################################################

.PHONY: autogen
autogen: $(AUTOGEN)

# Generating control files
%:: %.in debian/rules debian/rules.defs
	perl -p \
	-e 's{#VERSION#}{$(version)}g;' \
	-e 's{#MAJOR#}{$(version_major)}g;' \
	-e 's{#NVIDIA#}{$(nvidia)}g;' \
	-e 's{#VARIANT#}{$(-variant)}g;' \
	-e 's{#NVIDIA-KERNEL#}{$(nvidia-kernel)}g;' \
	-e 's{#MODULE#}{$(module)}g;' \
	-e 's{#MODULE_CURRENT#}{$(module-current)}g;' \
	-e 's{#ARCH_LIST#}{$(ARCH_LIST)}g;' \
	-e 's{#AUTOPKGTEST_ARCH_LIST#}{$(ARCH_LIST)}g;' \
	< $< > $@
	chmod --reference=$< $@

debian/module/debian/control.modules.in: debian/control debian/module/debian/control.modules.in.binary
	sed -n '/^#/d; 0,/^$$/p' $< > $@
	cat $(filter-out $<,$^) >> $@

debian/module/debian/bug-control: debian/bug-control
	cp $< $@
	echo "" >> $@
	echo "Submit-As: $(nvidia-kernel)-source" >> $@


define rename-template
$2%: $1%
	cp -a $$< $$@
endef
$(foreach p,$(CONTROL_PREFIXES),$(eval $(call rename-template,$p,$(call renamed_prefix,$p))))

include debian/bug-control.mk

## nvidia-open-gpu-kernel-modules 535.216.03

=== kernel-open/Makefile ===
#
# This Makefile was automatically generated; do not edit.
#

###########################################################################
# Makefile for NVIDIA Linux GPU driver kernel modules
###########################################################################

# This makefile is read twice: when a user or nvidia-installer invokes
# 'make', this file is read.  It then invokes the Linux kernel's
# Kbuild.  Modern versions of Kbuild will then read the Kbuild file in
# this directory.  However, old versions of Kbuild will instead read
# this Makefile.  For backwards compatibility, when read by Kbuild
# (recognized by KERNELRELEASE not being empty), do nothing but
# include the Kbuild file in this directory.

ifneq ($(KERNELRELEASE),)
  include $(src)/Kbuild
else

  # Determine the location of the Linux kernel source tree, and of the
  # kernel's output tree.  Use this to invoke Kbuild, and pass the paths
  # to the source and output trees to NVIDIA's Kbuild file via
  # NV_KERNEL_{SOURCES,OUTPUT}.

  ifdef SYSSRC
    KERNEL_SOURCES := $(SYSSRC)
  else
    KERNEL_UNAME ?= $(shell uname -r)
    KERNEL_MODLIB := /lib/modules/$(KERNEL_UNAME)
    KERNEL_SOURCES := $(shell ((test -d $(KERNEL_MODLIB)/source && echo $(KERNEL_MODLIB)/source) || (test -d $(KERNEL_MODLIB)/build/source && echo $(KERNEL_MODLIB)/build/source)) || echo $(KERNEL_MODLIB)/build)
  endif

  KERNEL_OUTPUT := $(KERNEL_SOURCES)
  KBUILD_PARAMS :=

  ifdef SYSOUT
    ifneq ($(SYSOUT), $(KERNEL_SOURCES))
      KERNEL_OUTPUT := $(SYSOUT)
      KBUILD_PARAMS := KBUILD_OUTPUT=$(KERNEL_OUTPUT)
    endif
  else
    KERNEL_UNAME ?= $(shell uname -r)
    KERNEL_MODLIB := /lib/modules/$(KERNEL_UNAME)
    # $(filter patter...,text) - Returns all whitespace-separated words in text that
    # do match any of the pattern words, removing any words that do not match.
    # Set the KERNEL_OUTPUT only if either $(KERNEL_MODLIB)/source or
    # $(KERNEL_MODLIB)/build/source path matches the KERNEL_SOURCES.
    ifneq ($(filter $(KERNEL_SOURCES),$(KERNEL_MODLIB)/source $(KERNEL_MODLIB)/build/source),)
      KERNEL_OUTPUT := $(KERNEL_MODLIB)/build
      KBUILD_PARAMS := KBUILD_OUTPUT=$(KERNEL_OUTPUT)
    endif
  endif

  CC ?= cc
  LD ?= ld
  OBJDUMP ?= objdump

  ifndef ARCH
    ARCH := $(shell uname -m | sed -e 's/i.86/i386/' \
      -e 's/armv[0-7]\w\+/arm/' \
      -e 's/aarch64/arm64/' \
      -e 's/ppc64le/powerpc/' \
    )
  endif

  NV_KERNEL_MODULES ?= $(wildcard nvidia nvidia-uvm nvidia-vgpu-vfio nvidia-modeset nvidia-drm nvidia-peermem)
  NV_KERNEL_MODULES := $(filter-out $(NV_EXCLUDE_KERNEL_MODULES), \
                                    $(NV_KERNEL_MODULES))
  NV_VERBOSE ?=
  SPECTRE_V2_RETPOLINE ?= 0

  ifeq ($(NV_VERBOSE),1)
    KBUILD_PARAMS += V=1
  endif
  KBUILD_PARAMS += -C $(KERNEL_SOURCES) M=$(CURDIR)
  KBUILD_PARAMS += ARCH=$(ARCH)
  KBUILD_PARAMS += NV_KERNEL_SOURCES=$(KERNEL_SOURCES)
  KBUILD_PARAMS += NV_KERNEL_OUTPUT=$(KERNEL_OUTPUT)
  KBUILD_PARAMS += NV_KERNEL_MODULES="$(NV_KERNEL_MODULES)"
  KBUILD_PARAMS += INSTALL_MOD_DIR=kernel/drivers/video
  KBUILD_PARAMS += NV_SPECTRE_V2=$(SPECTRE_V2_RETPOLINE)

  .PHONY: modules module clean clean_conftest modules_install
  modules clean modules_install:
	@$(MAKE) "LD=$(LD)" "CC=$(CC)" "OBJDUMP=$(OBJDUMP)" $(KBUILD_PARAMS) $@
	@if [ "$@" = "modules" ]; then \
	  for module in $(NV_KERNEL_MODULES); do \
	    if [ -x split-object-file.sh ]; then \
	      ./split-object-file.sh $$module.ko; \
	    fi; \
	  done; \
	fi

  # Compatibility target for scripts that may be directly calling the
  # "module" target from the old build system.

  module: modules

  # Check if the any of kernel module linker scripts exist. If they do, pass
  # them as linker options (via variable NV_MODULE_LD_SCRIPTS) while building
  # the kernel interface object files. These scripts do some processing on the
  # module symbols on which the Linux kernel's module resolution is dependent
  # and hence must be used whenever present.

  LD_SCRIPT ?= $(KERNEL_SOURCES)/scripts/module-common.lds      \
               $(KERNEL_SOURCES)/arch/$(ARCH)/kernel/module.lds \
               $(KERNEL_OUTPUT)/scripts/module.lds
  NV_MODULE_COMMON_SCRIPTS := $(foreach s, $(wildcard $(LD_SCRIPT)), -T $(s))

  # Use $* to match the stem % in the kernel interface file %-linux.o. Replace
  # "nv" with "nvidia" in $* as appropriate: e.g. nv-modeset-linux.o links
  # nvidia-modeset.mod.o and nvidia-modeset/nv-modeset-interface.o. The kernel
  # interface file must have the .mod.o object linked into it: otherwise, the
  # kernel module produced by linking the interface against its corresponding
  # core object file will not be loadable. The .mod.o file is built as part of
  # the MODPOST process (stage 2),  so the rule to build the kernel interface
  # cannot be defined in the *Kbuild files, which are only used during stage 1.

  %-linux.o: modules
	$(LD) $(NV_MODULE_COMMON_SCRIPTS) -r -o $@ \
	  $(subst nv,nvidia,$*).mod.o $(subst nv,nvidia,$*)/$*-interface.o

  # Kbuild's "clean" rule won't clean up the conftest headers on its own, and
  # clean-dirs doesn't appear to work as advertised.
  clean_conftest:
	$(RM) -r conftest
  clean: clean_conftest

endif # KERNELRELEASE

## nvidia-open-gpu-kernel-modules 525.105.17

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (525.105.17-1~mx21ahs+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 20 May 2023 16:32:18 -0700

nvidia-open-gpu-kernel-modules (525.105.17-1) unstable; urgency=medium

  * New upstream production branch release 525.105.17 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.  (Closes: #1033783)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Apr 2023 18:23:16 +0200

nvidia-open-gpu-kernel-modules (525.89.02-1) unstable; urgency=medium

  * New upstream production branch release 525.89.02 (2023-02-08).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Mar 2023 17:22:18 +0100

nvidia-open-gpu-kernel-modules (525.85.12-1) unstable; urgency=medium

  * New upstream production branch release 525.85.12 (2023-01-30).
  * New upstream production branch release 525.85.05 (2023-01-19).
  * New upstream production branch release 525.78.01 (2023-01-05).
  * New upstream production branch release 525.60.13 (2022-12-05).
  * New upstream production branch release 525.60.11 (2022-11-28).
    * Fixed CVE-2022-34670, CVE-2022-34673, CVE-2022-34674, CVE-2022-34675,
      CVE-2022-34677, CVE-2022-34679, CVE-2022-34680, CVE-2022-34682,
      CVE-2022-34684, CVE-2022-42254, CVE-2022-42255, CVE-2022-42256,
      CVE-2022-42257, CVE-2022-42258, CVE-2022-42259, CVE-2022-42263,
      CVE-2022-42264, CVE-2022-42265.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
  * New upstream beta 525.53 (2022-11-10).
  * Refresh patches.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Feb 2023 14:41:31 +0100

nvidia-open-gpu-kernel-modules (515.86.01-1) unstable; urgency=medium

  * New upstream production branch release 515.86.01 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34673, CVE-2022-34674, CVE-2022-34675,
      CVE-2022-34677, CVE-2022-34679, CVE-2022-34680, CVE-2022-34682,
      CVE-2022-34684, CVE-2022-42254, CVE-2022-42255, CVE-2022-42256,
      CVE-2022-42257, CVE-2022-42258, CVE-2022-42259, CVE-2022-42263,
      CVE-2022-42264, CVE-2022-42265.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
  * Refresh patches.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 28 Jan 2023 01:49:32 +0100

=== debian/control ===
Source: nvidia-open-gpu-kernel-modules
Section: contrib/kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-sequence-dkms,
                    linux-headers-amd64 [amd64] <!nocheck>,
                    linux-headers-arm64 [arm64] <!nocheck>,
                    linux-headers-powerpc64le [ppc64el] <!nocheck>,
                    quilt
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/NVIDIA/open-gpu-kernel-modules
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-open-gpu-kernel-modules
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-open-gpu-kernel-modules.git
Testsuite: autopkgtest-pkg-dkms

Package: nvidia-open-kernel-support
Architecture: amd64 arm64
Multi-Arch: foreign
Depends: nvidia-kernel-common (>= 20151021),
         nvidia-modprobe (>= ${nvidia:Version:major}),
         ${misc:Depends},
         ${nvidia}-alternative-${nvidia:Version} | nvidia-alternative-${nvidia:Version} | nvidia-tesla-alternative-${nvidia:Version}
Provides: nvidia-kernel-support-any,
          nvidia-open-kernel-support-${nvidia:Version},
          ${nvidia-kernel}-support--v1
Conflicts: nvidia-open-kernel-support-${nvidia:Version}
Description: NVIDIA open kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-open-kernel-dkms
Architecture: amd64 arm64
Multi-Arch: foreign
Pre-Depends: nvidia-installer-cleanup
Depends: firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
         ${misc:Depends},
         ${nvidia-kernel}-support--v1
Provides: nvidia-open-kernel-${nvidia:Version},
          nvidia-open-kernel-dkms-any (= ${nvidia:Version}),
          ${nvidia-kernel}-${nvidia:Version}
Description: NVIDIA open kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA binary kernel modules needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-open-kernel-source
Architecture: amd64 arm64
Depends: debhelper-compat (= ${nvidia:debhelper-compat}),
         module-assistant,
         ${misc:Depends}
Recommends: firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
            ${nvidia-kernel}-support--v1
Description: NVIDIA open kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA binary kernel modules
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia-kernel}-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia-kernel}-dkms instead.
 .
 ${nvidia:Models}
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

## nvidia-open-gpu-kernel-modules 525.125.06

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (525.125.06-1) unstable; urgency=medium

  * New upstream production branch release 525.125.06 (2023-06-26).
    * Fixed CVE-2023-25515, CVE-2023-25516.  (Closes: #1039686)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5468

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jul 2023 10:54:38 +0200

nvidia-open-gpu-kernel-modules (525.116.04-1) unstable; urgency=medium

  * New upstream production branch release 525.116.04 (2023-05-09).
  * New upstream production branch release 525.116.03 (2023-04-25).
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Jul 2023 12:26:29 +0200

nvidia-open-gpu-kernel-modules (525.105.17-2) unstable; urgency=medium

  * Backport drm_driver_has_dumb_destroy changes from 525.116.03 to fix kernel
    module build for Linux 6.4.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Jun 2023 14:58:55 +0200

=== debian/control ===
Source: nvidia-open-gpu-kernel-modules
Section: contrib/kernel
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 dh-sequence-dkms,
 quilt,
 linux-headers-amd64 [amd64] <!nocheck>,
 linux-headers-arm64 [arm64] <!nocheck>,
 linux-headers-powerpc64le [ppc64el] <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/NVIDIA/open-gpu-kernel-modules
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-open-gpu-kernel-modules
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-open-gpu-kernel-modules.git
Testsuite: autopkgtest-pkg-dkms

#Package: ${nvidia-kernel}-support
Package: nvidia-open-kernel-support
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 ${nvidia}-alternative-${nvidia:Version} | nvidia-alternative-${nvidia:Version} | nvidia-tesla-alternative-${nvidia:Version},
 nvidia-kernel-common (>= 20151021),
 nvidia-modprobe (>= ${nvidia:Version:major}),
 ${misc:Depends}
Provides:
 nvidia-kernel-support-any,
 ${nvidia-kernel}-support--v1,
 nvidia-open-kernel-support-${nvidia:Version},
Conflicts:
 nvidia-open-kernel-support-${nvidia:Version},
Description: NVIDIA open kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 This package provides supporting configuration for the kernel module.

#Package: ${nvidia-kernel}-dkms
Package: nvidia-open-kernel-dkms
Architecture: amd64 arm64
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
 ${nvidia-kernel}-support--v1,
 ${misc:Depends}
Provides:
 ${nvidia-kernel}-${nvidia:Version},
 nvidia-open-kernel-${nvidia:Version},
 nvidia-open-kernel-dkms-any (= ${nvidia:Version}),
Description: NVIDIA open kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA binary kernel modules needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

#Package: ${nvidia-kernel}-source
Package: nvidia-open-kernel-source
Architecture: amd64 arm64
Depends:
 debhelper-compat (= ${nvidia:debhelper-compat}),
 module-assistant,
 ${misc:Depends}
Recommends:
 firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
 ${nvidia-kernel}-support--v1,
Description: NVIDIA open kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA binary kernel modules
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia-kernel}-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia-kernel}-dkms instead.
 .
 ${nvidia:Models}
 .
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 TEMPLATE_DIRS	+= debian/module/debian
 TEMPLATE_DIRS	+= debian/patches/module
 TEMPLATE_DIRS	+= debian/tests
-TEMPLATES	:= $(wildcard $(addsuffix /*.in,$(TEMPLATE_DIRS)))
+TEMPLATES	:= $(filter-out %.modules.in,$(wildcard $(addsuffix /*.in,$(TEMPLATE_DIRS))))
 
 AUTOGEN		 = $(TEMPLATES:.in=)
 AUTOGEN		+= $(RENAMED_CONTROL:.in=)
@@ -78,15 +78,12 @@
 	dh_auto_build -- kernel-open/nvidia/nv-kernel.o_binary kernel-open/nvidia-modeset/nv-modeset-kernel.o_binary NV_VERBOSE=1
 	find kernel-open -name '*.o_binary' -type l -exec sh -c 'ln -fv "$$(readlink -f "{}")" "{}"' \;
 
-kernel-source-tree: prepare
-	$(RM) -r $@
-	cp -a kernel-open $@
-
 override_dh_auto_test: J_FLAG ?= $(patsubst parallel=%,-j%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_test: TEST_KERNEL ?= $(shell ls -dvr1 /lib/modules/*/build 2>/dev/null | cut -d/ -f4 | head -n 1)
 override_dh_auto_test:
-	cp -al kernel-open kmod-test
-	$(MAKE) $(J_FLAG) -C kmod-test NV_VERBOSE=1 KERNEL_UNAME=$(TEST_KERNEL)
+	$(RM) -r test-module-build
+	cp -a kernel-open test-module-build
+	$(MAKE) $(J_FLAG) -C test-module-build NV_VERBOSE=1 KERNEL_UNAME=$(TEST_KERNEL)
 
 # nothing to do
 override_dh_auto_install:
@@ -94,7 +91,7 @@
 override_dh_auto_clean:
 	$(MAKE) nvidia.clean nvidia-modeset.clean
 	find kernel-open -name '*.o_binary' | xargs -r $(RM) -v
-	$(RM) -r kmod-test
+	$(RM) -r test-module-build
 
 execute_after_dh_clean:
 	cd kernel-open && QUILT_PATCHES=../debian/patches/module quilt --quiltrc /dev/null pop -a || test $$? = 2

## nvidia-open-gpu-kernel-modules 535.161.08

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (535.161.08-1) unstable; urgency=medium

  * New upstream Tesla branch release 535.161.08 (2024-03-18).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 07:52:45 +0100

nvidia-open-gpu-kernel-modules (535.161.07-1) experimental; urgency=medium

  * New upstream LTS and Tesla branch release 535.161.07 (2024-02-22).
    * Fixed CVE-2024-0074, CVE-2024-0075, CVE-2024-0078.  (Closes: #1064991)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5520
  * Refresh patches.
  * Sync with src:nvidia-graphics-drivers.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Mar 2024 07:58:43 +0100

nvidia-open-gpu-kernel-modules (535.154.05-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.154.05 (2024-01-16).
  * New upstream long term support branch release 535.146.02 (2023-12-07).
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Mar 2024 18:28:57 +0100

nvidia-open-gpu-kernel-modules (535.129.03-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.129.03 (2023-10-31).
    * Fixed CVE-2023-31022.  (Closes: #1055144)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5491
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Mar 2024 11:14:40 +0100

nvidia-open-gpu-kernel-modules (535.113.01-1) unstable; urgency=medium

  * New upstream long term support branch release 535.113.01 (2023-09-21).
  * New upstream Tesla branch release 535.104.12 (2023-09-25).
  * New upstream LTS and Tesla branch release 535.104.05 (2023-08-22).
  * New upstream long term support branch release 535.98 (2023-08-08).
  * New upstream Tesla branch release 535.86.10 (2023-07-31).
  * New upstream long term support branch release 535.86.05 (2023-07-18).
  * Sync with src:nvidia-graphics-drivers.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Mar 2024 20:55:03 +0100

nvidia-open-gpu-kernel-modules (535.54.03-1) UNRELEASED; urgency=medium

  * New upstream LTS and Tesla branch release 535.54.03 (2023-06-14).
    * Fixed CVE-2023-25515, CVE-2023-25516.  (Closes: #1039686)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5468
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2024 10:37:58 +0100

nvidia-open-gpu-kernel-modules (535.43.02-1) UNRELEASED; urgency=medium

  * New upstream beta 535.43.02 (2023-05-30).
  * Refresh patches.
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 21 Mar 2024 14:03:08 +0100

nvidia-open-gpu-kernel-modules (530.41.03-1) unstable; urgency=medium

  * New upstream new feature branch release 530.41.03 (2023-03-23).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.  (Closes: #1033783)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
  * Sync with src:nvidia-graphics-drivers.
  * Fix package build reproducibility.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Mar 2024 12:01:32 +0100

nvidia-open-gpu-kernel-modules (530.30.02-1) UNRELEASED; urgency=medium

  * New upstream beta 530.30.02 (2023-02-28).
  * Refresh patches.
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Mar 2024 09:50:41 +0100

nvidia-open-gpu-kernel-modules (525.147.05-3) unstable; urgency=medium

  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 08 Mar 2024 11:29:08 +0100

nvidia-open-gpu-kernel-modules (525.147.05-2) unstable; urgency=medium

  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 29 Jan 2024 01:36:28 +0100

nvidia-open-gpu-kernel-modules (525.147.05-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Dec 2023 12:31:14 +0100

nvidia-open-gpu-kernel-modules (525.147.05-1) unstable; urgency=medium

  * New upstream production and Tesla branch release 525.147.05 (2023-10-31).
    * Fixed CVE-2023-31022.  (Closes: #1055144)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5491
  * Refresh patches.
  * Fix FTBFS with quilt 0.67.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Nov 2023 01:17:56 +0100

nvidia-open-gpu-kernel-modules (525.125.06-2) unstable; urgency=medium

  * Backport get_user_pages changes from 535.86.05 to fix kernel module build
    for Linux 6.5.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 19 Sep 2023 16:28:49 +0200

nvidia-open-gpu-kernel-modules (525.125.06-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 14 Jul 2023 12:17:23 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
 Architecture: amd64 arm64
 Multi-Arch: foreign
 Depends:
- ${nvidia}-alternative-${nvidia:Version} | nvidia-alternative-${nvidia:Version} | nvidia-tesla-alternative-${nvidia:Version},
+ ${nvidia}-alternative-${nvidia:Version} | nvidia-alternative-${nvidia:Version},
  nvidia-kernel-common (>= 20151021),
  nvidia-modprobe (>= ${nvidia:Version:major}),
  ${misc:Depends}
@@ -71,6 +71,9 @@
  ${nvidia:Models}
  .
  Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.
+ .
+ Note: The new 'non-free-firmware' archive area has to be enabled in apt's
+ sources.list(.d/) in order to install firmware-${nvidia}-gsp.
 
 #Package: ${nvidia-kernel}-source
 Package: nvidia-open-kernel-source

## nvidia-open-gpu-kernel-modules 535.183.01

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (535.183.01-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 18:17:12 +0200

nvidia-open-gpu-kernel-modules (535.183.01-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.183.01 (2024-06-04).
    * Fixed CVE-2024-0090, CVE-2024-0092.  (Closes: #1072800)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5551
  * New upstream long term support branch release 535.179 (2024-05-09).
  * New upstream long term support branch release 535.171.04 (2024-03-21).
  * Sync with src:nvidia-graphics-drivers.
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 19 Jun 2024 04:56:43 +0200

nvidia-open-gpu-kernel-modules (535.161.08-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Mar 2024 17:15:50 +0100

## nvidia-open-gpu-kernel-modules 535.183.06

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (535.183.06-1) unstable; urgency=medium

  * New upstream Tesla branch release 535.183.06 (2024-07-09).
  * Sync with src:nvidia-graphics-drivers.
  * Refresh patches.
  * Bump Standards-Version to 4.7.0. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Aug 2024 10:55:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  linux-headers-arm64 [arm64] <!nocheck>,
  linux-headers-powerpc64le [ppc64el] <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/NVIDIA/open-gpu-kernel-modules
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-open-gpu-kernel-modules
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-open-gpu-kernel-modules.git

## nvidia-open-gpu-kernel-modules 535.216.01

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (535.216.01-1~deb12u1) bookworm; urgency=medium

  * Rebuild for bookworm.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Nov 2024 10:22:33 +0100

nvidia-open-gpu-kernel-modules (535.216.01-1) unstable; urgency=medium

  * New upstream LTS and Tesla branch release 535.216.01 (2024-10-22).
    * Fixed CVE-2024-0126.  (Closes: #1085976)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5586
  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Nov 2024 20:39:29 +0100

nvidia-open-gpu-kernel-modules (535.183.06-2) unstable; urgency=medium

  * Sync with src:nvidia-graphics-drivers.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 01 Nov 2024 21:03:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ quilt,
 Build-Depends-Arch:
  dh-sequence-dkms,
- quilt,
  linux-headers-amd64 [amd64] <!nocheck>,
  linux-headers-arm64 [arm64] <!nocheck>,
- linux-headers-powerpc64le [ppc64el] <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/NVIDIA/open-gpu-kernel-modules

## nvidia-open-gpu-kernel-modules 535.216.03

=== debian/changelog ===
nvidia-open-gpu-kernel-modules (535.216.03-1~mx23ahs) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Dec 2024 14:27:44 -0800

nvidia-open-gpu-kernel-modules (535.216.03-1) unstable; urgency=medium

  * New upstream Tesla branch release 535.216.03 (2024-11-19).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2024 09:38:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
 Source: nvidia-open-gpu-kernel-modules
 Section: contrib/kernel
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
-Uploaders:
- Andreas Beckmann <anbe@debian.org>,
-Build-Depends:
- debhelper-compat (= 13),
- quilt,
-Build-Depends-Arch:
- dh-sequence-dkms,
- linux-headers-amd64 [amd64] <!nocheck>,
- linux-headers-arm64 [arm64] <!nocheck>,
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Uploaders: Andreas Beckmann <anbe@debian.org>
+Build-Depends: debhelper-compat (= 13), quilt
+Build-Depends-Arch: dh-sequence-dkms,
+                    linux-headers-amd64 [amd64] <!nocheck>,
+                    linux-headers-arm64 [arm64] <!nocheck>
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/NVIDIA/open-gpu-kernel-modules
@@ -22,17 +19,14 @@
 Package: nvidia-open-kernel-support
 Architecture: amd64 arm64
 Multi-Arch: foreign
-Depends:
- ${nvidia}-alternative-${nvidia:Version} | nvidia-alternative-${nvidia:Version},
- nvidia-kernel-common (>= 20151021),
- nvidia-modprobe (>= ${nvidia:Version:major}),
- ${misc:Depends}
-Provides:
- nvidia-kernel-support-any,
- ${nvidia-kernel}-support--v1,
- nvidia-open-kernel-support-${nvidia:Version},
-Conflicts:
- nvidia-open-kernel-support-${nvidia:Version},
+Depends: nvidia-kernel-common (>= 20151021),
+         nvidia-modprobe (>= ${nvidia:Version:major}),
+         ${misc:Depends},
+         ${nvidia}-alternative-${nvidia:Version} | nvidia-alternative-${nvidia:Version}
+Provides: nvidia-kernel-support-any,
+          nvidia-open-kernel-support-${nvidia:Version},
+          ${nvidia-kernel}-support--v1
+Conflicts: nvidia-open-kernel-support-${nvidia:Version}
 Description: NVIDIA open kernel module support files${nvidia:VariantDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
@@ -46,16 +40,13 @@
 Package: nvidia-open-kernel-dkms
 Architecture: amd64 arm64
 Multi-Arch: foreign
-Pre-Depends:
- nvidia-installer-cleanup,
-Depends:
- firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
- ${nvidia-kernel}-support--v1,
- ${misc:Depends}
-Provides:
- ${nvidia-kernel}-${nvidia:Version},
- nvidia-open-kernel-${nvidia:Version},
- nvidia-open-kernel-dkms-any (= ${nvidia:Version}),
+Pre-Depends: nvidia-installer-cleanup
+Depends: firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
+         ${misc:Depends},
+         ${nvidia-kernel}-support--v1
+Provides: nvidia-open-kernel-${nvidia:Version},
+          nvidia-open-kernel-dkms-any (= ${nvidia:Version}),
+          ${nvidia-kernel}-${nvidia:Version}
 Description: NVIDIA open kernel module DKMS source${nvidia:VariantDesc}
  This package builds the NVIDIA binary kernel modules needed by
  ${nvidia}-driver, using DKMS.
@@ -77,13 +68,11 @@
 #Package: ${nvidia-kernel}-source
 Package: nvidia-open-kernel-source
 Architecture: amd64 arm64
-Depends:
- debhelper-compat (= ${nvidia:debhelper-compat}),
- module-assistant,
- ${misc:Depends}
-Recommends:
- firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
- ${nvidia-kernel}-support--v1,
+Depends: debhelper-compat (= ${nvidia:debhelper-compat}),
+         module-assistant,
+         ${misc:Depends}
+Recommends: firmware-${nvidia}-gsp (= ${nvidia:Version}) | firmware-nvidia-gsp-${nvidia:Version},
+            ${nvidia-kernel}-support--v1
 Description: NVIDIA open kernel module source${nvidia:VariantDesc}
  This package provides the source for the NVIDIA binary kernel modules
  needed by ${nvidia}-driver in a form suitable

=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="!CONFIG_PREEMPT_RT !CONFIG_PREEMPT_RT_FULL" /usr/share/modass/module-assistant-autopkgtest nvidia-open-kernel
Features: test-name=m-a-autopkgtest
Architecture: amd64 arm64
Depends: linux-doc, module-assistant-autopkgtest, nvidia-open-kernel-source
Restrictions:
 superficial,
 needs-root,
 breaks-testbed,
 allow-stderr,
